/* style.css */
body {
    margin: 0;
    font-family: "Lato", "PingFang TC", "Helvetica Neue", Helvetica, "微軟正黑體", "新細明體", Arial, sans-serif;
}

.top-bar {
    display: flex;
    align-items: center;
    background-color: #f8f9fa;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    height: 50px; /* 設置一個固定的高度 */
    margin-bottom: 25px;
}

.social-link {
    display: inline-block;
    position: relative;
    margin: 0 15px;
    text-decoration: none;
}

.social-link img {
    width: 30px; /* LOGO大小 */
    height: auto;
    transition: transform 0.3s ease;
}

.social-link:hover img {
    transform: scale(1.1);
}

.social-link span {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    left: 50%;
    bottom: -20px;
    transform: translateX(-50%);
    transition: opacity 0.3s ease, visibility 0s linear 0.3s;
    color: #007bff;
    white-space: nowrap;
}

.social-link:hover span {
    visibility: visible;
    opacity: 1;
    transition-delay: 0s;
}

.contact-message {
    font-size: 20px;
    color: #000;
    background-color: #e3f3ff;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 15px;
    height: 100%;
}

.extra-links {
    margin-right: 20px;
    margin-left: auto;
    display: flex;
    align-items: center;
}

.extra-links a {
    text-decoration: none;
    color: #007bff;
    margin-left: 15px;
    transition: color 0.3s ease-in-out;
}

.extra-links a:hover {
    color: #0056b3;
}

.social-link, .extra-links {
    display: flex;
    align-items: center;
    height: 100%;
}


#game-board {
    clip-path: border-box;
    overflow: auto;
    display: grid;
    grid-template-columns: repeat(5, 42px);
    font-size: 14px;
    gap: 5px; 
    width: max-content; 
    max-width: 977px;
    height: max-content;
    max-height: 550px;
    margin-top : 0px;
    margin-left : 10px;
    background-size: cover; 
    position: relative;
    border: 5px;
    border-style: solid;
    border-color: #95d0f5;
    background-color: #95d0f5;
}
#gameset{
    display: flex;
    justify-content: center;
    margin-bottom: 1%;
}

#link{
    display: flex;
    margin-left: 10px;
    align-items: center;
}

#table-container{
    margin-top: 5px;
}

#getFilled{
    margin-left: 13px;
}

input[name="col0"] {
    width: 30px;
}
input[name="col2"] {
    width: 30px;
}
.punched {
    background-color: #ffcccc;
    pointer-events: none;
}

.cell {
    width: calc(3em); 
    height: calc(3em);
    background-color: #a4b9fd;
    /*background-image: url('night_2.jpg');*/
    background-attachment: fixed;
    background-position-x: 295px;
    background-position-y: 160px;
    background-size: 54% 67%;
    word-break: break-word;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    padding: 5px;
    box-sizing: border-box;
    overflow: hidden;
    text-align: center;
    word-wrap: break-word;
    /*font-size: 14px;*/
    /*text-shadow: 0 0 10px #fff, 0 0 10px #fff, 0 0 5px #ffffff, 0 0 5px #ff00de, 0 0 50px #ff00de, 0 0 60px #ff00de, 0 0 70px #ff00de;*/
}

.cell-base {
    width: calc(3em);
    height: calc(3em);
    background-color: #ffffff;
    background-attachment: fixed;
    background-position-x: 295px;
    background-position-y: 160px;
    background-size: 54% 67%;
    word-break: break-word;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    padding: 5px;
    box-sizing: border-box;
    overflow: hidden;
    text-align: center;
    word-wrap: break-word;
    /*font-size: 14px;*/
    text-shadow: 0 0 20px #fff, 
             0 0 10px #fff, 
             0 0 5px #ffffff, 
             0 0 5px #ff00de, 
             0 0 50px #ff00de, 
             0 0 10px #ffffff, 
             0 0 70px #ff00de;
}

.cell.small-text {
    font-size: 12px;
}

input[type="color"] {
    background-color:#ffffff00;
    width: 25px;
    height: 25px;
    border: 0px;
    padding: 0px;
}

input[type="range"] {
    width: 100px;
}

#check-msg{
    display: flex;
    position: absolute;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    transform: translate(0%, 0%);
    background-color: #ffffff42;
    backdrop-filter: blur(1.5px);
}
#msg-box{
    display: flex;
    width: 65%;
    height: 25%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 15px;
    font-size: 20px;
    font-weight: bold;
    display: flex;
    background-color: #e8f4ffbf;
}
#msg-text{
    margin-bottom: 15px;
}
#msg-bt{
    width: 100px;
    height: 30px;
    border-radius: 15px;
    border-color: white;
    background-color: #ffffffa1;
}
